/*
Copyright 2019 The dahliaOS Authors
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

import 'package:Pangolin/utils/themes/customization_manager.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class SettingsTile extends StatelessWidget {
  final List<Widget> children;
  final EdgeInsetsGeometry margin;
  const SettingsTile({Key key, @required this.children, this.margin})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer<CustomizationNotifier>(
      builder: (context, notifier, child) => SizedBox(
        width: 1.7976931348623157e+308,
        child: Card(
          elevation: 0,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(10.0),
            side: BorderSide(
              color: Colors.grey.withOpacity(0.2),
              width: 1,
            ),
          ),
          color: Theme.of(context).cardColor,
          child: Padding(
            padding: const EdgeInsets.all(8.0),
            child: Container(
              margin: this.margin,
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: this.children,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
